version: '3.9'

services:
  postgres:
    image: postgres:14-alpine
    ports:
      - 5432:5432
    volumes:
      - ./postgresql:/var/lib/postgresql/data
    environment:
      - POSTGRES_PASSWORD=${DB_PASSWORD}
      - POSTGRES_USER=${DB_USER}
      - POSTGRES_DB=${DB_NAME}
    env_file:
      - .env
  redis:
    image: "redis"
    ports:
      - "6379:6379"
    container_name: redis
    command: redis-server --bind '0.0.0.0'
